SDL_StartTextInput(3)

NAME
SDL_StartTextInput - Start accepting Unicode text input events.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_StartTextInput(void);

DESCRIPTION
This function will start accepting Unicode text input events in the focused SDL window, and start emitting SDL_TextInputEvent ( SDL_EVENT_TEXT_INPUT ) and SDL_TextEditingEvent ( SDL_EVENT_TEXT_EDITING ) events. Please use this function in pair with SDL_StopTextInput (). Text input events are not received by default. On some platforms using this function activates the screen keyboard.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetTextInputRect(3), SDL_StopTextInput(3)